import API_URL from "../config/api";
import type { ApiErrorResponse } from "../types";

export function useGetVideosLength() {
    async function getVideosLength() {
        try {
            const response = await fetch(`${API_URL}/api/videos-length`, {
                method: "GET",
                headers: {
                    Accept: "application/json",
                    "Content-Type": "application/json",
                    Authorization: `Bearer ${localStorage.getItem("token")}`
                },
            });

            const data = await response.json();

            if (response.ok) {
                return {
                    videos: data.data.videos,
                    videosWatched: data.data.videosWatched,
                };
            }

            return data as ApiErrorResponse;

        } catch (error) {
            return error as ApiErrorResponse;
        }
    }

    return { getVideosLength };
}